aboutsummaryrefslogtreecommitdiffstats
path: root/dist/archlinux/stable/general-preprocessor.install
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2013-10-24 23:01:13 +0200
committerMattias Andrée <maandree@operamail.com>2013-10-24 23:01:13 +0200
commit342e0b62273226ce59baa6cc7bb47a10a13102cd (patch)
treee88eab87ab900aa38d006411b5d23bc1ebf04bdf /dist/archlinux/stable/general-preprocessor.install
parentm (diff)
downloadgpp-342e0b62273226ce59baa6cc7bb47a10a13102cd.tar.gz
gpp-342e0b62273226ce59baa6cc7bb47a10a13102cd.tar.bz2
gpp-342e0b62273226ce59baa6cc7bb47a10a13102cd.tar.xz
gpp conflicts with other packages
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'dist/archlinux/stable/general-preprocessor.install')
-rw-r--r--dist/archlinux/stable/general-preprocessor.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/dist/archlinux/stable/general-preprocessor.install b/dist/archlinux/stable/general-preprocessor.install
new file mode 100644
index 0000000..822bdd3
--- /dev/null
+++ b/dist/archlinux/stable/general-preprocessor.install
@@ -0,0 +1,20 @@
+_file="general-preprocessor"
+
+infodir="usr/share/info"
+file="${_file}.info.gz"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+